1. Registry
  2. Packages
  3. Oracle Cloud Infrastructure
  4. API Docs
  5. DataSafe
  6. getSubsettingAnalytics
Viewing docs for Oracle Cloud Infrastructure v5.5.0
published on Thursday, Oct 22, 2026 by Pulumi
oci logo oci logo
Viewing docs for Oracle Cloud Infrastructure v5.5.0
published on Thursday, Oct 22, 2026 by Pulumi

    This data source provides the list of Subsetting Analytics in Oracle Cloud Infrastructure Data Safe service.

    Gets consolidated subsetting analytics data based on the specified query parameters. If CompartmentIdInSubtreeQueryParam is specified as true, the behaviour is equivalent to accessLevel “ACCESSIBLE” by default.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as oci from "@pulumi/oci";
    
    const testSubsettingAnalytics = oci.datasafe.getSubsettingAnalytics({
        compartmentId: compartmentId,
        compartmentIdInSubtree: subsettingAnalyticCompartmentIdInSubtree,
        groupBy: subsettingAnalyticGroupBy,
        subsettingPolicyId: testSubsettingPolicy.id,
        targetDatabaseGroupId: testTargetDatabaseGroup.id,
        targetId: testTarget.id,
        timeCreatedGreaterThanOrEqualTo: subsettingAnalyticTimeCreatedGreaterThanOrEqualTo,
        timeCreatedLessThan: subsettingAnalyticTimeCreatedLessThan,
    });
    
    import pulumi
    import pulumi_oci as oci
    
    test_subsetting_analytics = oci.datasafe.get_subsetting_analytics(compartment_id=compartment_id,
        compartment_id_in_subtree=subsetting_analytic_compartment_id_in_subtree,
        group_by=subsetting_analytic_group_by,
        subsetting_policy_id=test_subsetting_policy["id"],
        target_database_group_id=test_target_database_group["id"],
        target_id=test_target["id"],
        time_created_greater_than_or_equal_to=subsetting_analytic_time_created_greater_than_or_equal_to,
        time_created_less_than=subsetting_analytic_time_created_less_than)
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-oci/sdk/v5/go/oci/datasafe"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := datasafe.GetSubsettingAnalytics(ctx, &datasafe.GetSubsettingAnalyticsArgs{
    			CompartmentId:                   compartmentId,
    			CompartmentIdInSubtree:          pulumi.BoolRef(subsettingAnalyticCompartmentIdInSubtree),
    			GroupBy:                         pulumi.StringRef(subsettingAnalyticGroupBy),
    			SubsettingPolicyId:              pulumi.StringRef(testSubsettingPolicy.Id),
    			TargetDatabaseGroupId:           pulumi.StringRef(testTargetDatabaseGroup.Id),
    			TargetId:                        pulumi.StringRef(testTarget.Id),
    			TimeCreatedGreaterThanOrEqualTo: pulumi.StringRef(subsettingAnalyticTimeCreatedGreaterThanOrEqualTo),
    			TimeCreatedLessThan:             pulumi.StringRef(subsettingAnalyticTimeCreatedLessThan),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Oci = Pulumi.Oci;
    
    return await Deployment.RunAsync(() => 
    {
        var testSubsettingAnalytics = Oci.DataSafe.GetSubsettingAnalytics.Invoke(new()
        {
            CompartmentId = compartmentId,
            CompartmentIdInSubtree = subsettingAnalyticCompartmentIdInSubtree,
            GroupBy = subsettingAnalyticGroupBy,
            SubsettingPolicyId = testSubsettingPolicy.Id,
            TargetDatabaseGroupId = testTargetDatabaseGroup.Id,
            TargetId = testTarget.Id,
            TimeCreatedGreaterThanOrEqualTo = subsettingAnalyticTimeCreatedGreaterThanOrEqualTo,
            TimeCreatedLessThan = subsettingAnalyticTimeCreatedLessThan,
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.oci.DataSafe.DataSafeFunctions;
    import com.pulumi.oci.DataSafe.inputs.GetSubsettingAnalyticsArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var testSubsettingAnalytics = DataSafeFunctions.getSubsettingAnalytics(GetSubsettingAnalyticsArgs.builder()
                .compartmentId(compartmentId)
                .compartmentIdInSubtree(subsettingAnalyticCompartmentIdInSubtree)
                .groupBy(subsettingAnalyticGroupBy)
                .subsettingPolicyId(testSubsettingPolicy.get("id"))
                .targetDatabaseGroupId(testTargetDatabaseGroup.get("id"))
                .targetId(testTarget.get("id"))
                .timeCreatedGreaterThanOrEqualTo(subsettingAnalyticTimeCreatedGreaterThanOrEqualTo)
                .timeCreatedLessThan(subsettingAnalyticTimeCreatedLessThan)
                .build());
    
        }
    }
    
    variables:
      testSubsettingAnalytics:
        fn::invoke:
          function: oci:DataSafe:getSubsettingAnalytics
          arguments:
            compartmentId: ${compartmentId}
            compartmentIdInSubtree: ${subsettingAnalyticCompartmentIdInSubtree}
            groupBy: ${subsettingAnalyticGroupBy}
            subsettingPolicyId: ${testSubsettingPolicy.id}
            targetDatabaseGroupId: ${testTargetDatabaseGroup.id}
            targetId: ${testTarget.id}
            timeCreatedGreaterThanOrEqualTo: ${subsettingAnalyticTimeCreatedGreaterThanOrEqualTo}
            timeCreatedLessThan: ${subsettingAnalyticTimeCreatedLessThan}
    
    terraform {
      required_providers {
        oci = {
          source = "pulumi/oci"
        }
      }
    }
    
    data "oci_data_safe_subsetting_analytics" "testSubsettingAnalytics" {
      compartment_id                        = compartmentId
      compartment_id_in_subtree             = subsettingAnalyticCompartmentIdInSubtree
      group_by                              = subsettingAnalyticGroupBy
      subsetting_policy_id                  = testSubsettingPolicy.id
      target_database_group_id              = testTargetDatabaseGroup.id
      target_id                             = testTarget.id
      time_created_greater_than_or_equal_to = subsettingAnalyticTimeCreatedGreaterThanOrEqualTo
      time_created_less_than                = subsettingAnalyticTimeCreatedLessThan
    }
    

    Using getSubsettingAnalytics

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getSubsettingAnalytics(args: GetSubsettingAnalyticsArgs, opts?: InvokeOptions): Promise<GetSubsettingAnalyticsResult>
    function getSubsettingAnalyticsOutput(args: GetSubsettingAnalyticsOutputArgs, opts?: InvokeOutputOptions): Output<GetSubsettingAnalyticsResult>
    def get_subsetting_analytics(compartment_id: Optional[str] = None,
                                 compartment_id_in_subtree: Optional[bool] = None,
                                 filters: Optional[Sequence[GetSubsettingAnalyticsFilter]] = None,
                                 group_by: Optional[str] = None,
                                 subsetting_policy_id: Optional[str] = None,
                                 target_database_group_id: Optional[str] = None,
                                 target_id: Optional[str] = None,
                                 time_created_greater_than_or_equal_to: Optional[str] = None,
                                 time_created_less_than: Optional[str] = None,
                                 opts: Optional[InvokeOptions] = None) -> GetSubsettingAnalyticsResult
    def get_subsetting_analytics_output(compartment_id: pulumi.Input[Optional[str]] = None,
                                 compartment_id_in_subtree: pulumi.Input[Optional[bool]] = None,
                                 filters: pulumi.Input[Optional[Sequence[pulumi.Input[GetSubsettingAnalyticsFilterArgs]]]] = None,
                                 group_by: pulumi.Input[Optional[str]] = None,
                                 subsetting_policy_id: pulumi.Input[Optional[str]] = None,
                                 target_database_group_id: pulumi.Input[Optional[str]] = None,
                                 target_id: pulumi.Input[Optional[str]] = None,
                                 time_created_greater_than_or_equal_to: pulumi.Input[Optional[str]] = None,
                                 time_created_less_than: pulumi.Input[Optional[str]] = None,
                                 opts: Optional[InvokeOutputOptions] = None) -> Output[GetSubsettingAnalyticsResult]
    func GetSubsettingAnalytics(ctx *Context, args *GetSubsettingAnalyticsArgs, opts ...InvokeOption) (*GetSubsettingAnalyticsResult, error)
    func GetSubsettingAnalyticsOutput(ctx *Context, args *GetSubsettingAnalyticsOutputArgs, opts ...InvokeOption) GetSubsettingAnalyticsResultOutput

    > Note: This function is named GetSubsettingAnalytics in the Go SDK.

    public static class GetSubsettingAnalytics 
    {
        public static Task<GetSubsettingAnalyticsResult> InvokeAsync(GetSubsettingAnalyticsArgs args, InvokeOptions? opts = null)
        public static Output<GetSubsettingAnalyticsResult> Invoke(GetSubsettingAnalyticsInvokeArgs args, InvokeOptions? opts = null)
        public static Output<GetSubsettingAnalyticsResult> Invoke(GetSubsettingAnalyticsInvokeArgs args, InvokeOutputOptions opts)
    }
    public static CompletableFuture<GetSubsettingAnalyticsResult> getSubsettingAnalytics(GetSubsettingAnalyticsArgs args, InvokeOptions options)
    public static Output<GetSubsettingAnalyticsResult> getSubsettingAnalytics(GetSubsettingAnalyticsArgs args, InvokeOptions options)
    public static Output<GetSubsettingAnalyticsResult> getSubsettingAnalytics(GetSubsettingAnalyticsArgs args, InvokeOutputOptions options)
    
    fn::invoke:
      function: oci:DataSafe/getSubsettingAnalytics:getSubsettingAnalytics
      arguments:
        # arguments dictionary
    data "oci_data_safe_get_subsetting_analytics" "name" {
        # arguments
    }

    The following arguments are supported:

    CompartmentId string
    A filter to return only resources that match the specified compartment OCID.
    CompartmentIdInSubtree bool
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    Filters List<GetSubsettingAnalyticsFilter>
    GroupBy string
    Attribute by which the subsetting analytics data should be grouped.
    SubsettingPolicyId string
    A filter to return only the resources that match the specified subsetting policy OCID.
    TargetDatabaseGroupId string
    A filter to return the target database group that matches the specified OCID.
    TargetId string
    A filter to return only items related to a specific target OCID.
    TimeCreatedGreaterThanOrEqualTo string

    A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.

    Example: 2016-12-19T16:39:57.600Z

    TimeCreatedLessThan string

    Search for resources that were created before a specific date. Specifying this parameter corresponding timeCreatedLessThan parameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.

    Example: 2016-12-19T16:39:57.600Z

    CompartmentId string
    A filter to return only resources that match the specified compartment OCID.
    CompartmentIdInSubtree bool
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    Filters []GetSubsettingAnalyticsFilter
    GroupBy string
    Attribute by which the subsetting analytics data should be grouped.
    SubsettingPolicyId string
    A filter to return only the resources that match the specified subsetting policy OCID.
    TargetDatabaseGroupId string
    A filter to return the target database group that matches the specified OCID.
    TargetId string
    A filter to return only items related to a specific target OCID.
    TimeCreatedGreaterThanOrEqualTo string

    A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.

    Example: 2016-12-19T16:39:57.600Z

    TimeCreatedLessThan string

    Search for resources that were created before a specific date. Specifying this parameter corresponding timeCreatedLessThan parameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.

    Example: 2016-12-19T16:39:57.600Z

    compartment_id string
    A filter to return only resources that match the specified compartment OCID.
    compartment_id_in_subtree bool
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    filters list(object)
    group_by string
    Attribute by which the subsetting analytics data should be grouped.
    subsetting_policy_id string
    A filter to return only the resources that match the specified subsetting policy OCID.
    target_database_group_id string
    A filter to return the target database group that matches the specified OCID.
    target_id string
    A filter to return only items related to a specific target OCID.
    time_created_greater_than_or_equal_to string

    A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.

    Example: 2016-12-19T16:39:57.600Z

    time_created_less_than string

    Search for resources that were created before a specific date. Specifying this parameter corresponding timeCreatedLessThan parameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.

    Example: 2016-12-19T16:39:57.600Z

    compartmentId String
    A filter to return only resources that match the specified compartment OCID.
    compartmentIdInSubtree Boolean
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    filters List<GetSubsettingAnalyticsFilter>
    groupBy String
    Attribute by which the subsetting analytics data should be grouped.
    subsettingPolicyId String
    A filter to return only the resources that match the specified subsetting policy OCID.
    targetDatabaseGroupId String
    A filter to return the target database group that matches the specified OCID.
    targetId String
    A filter to return only items related to a specific target OCID.
    timeCreatedGreaterThanOrEqualTo String

    A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.

    Example: 2016-12-19T16:39:57.600Z

    timeCreatedLessThan String

    Search for resources that were created before a specific date. Specifying this parameter corresponding timeCreatedLessThan parameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.

    Example: 2016-12-19T16:39:57.600Z

    compartmentId string
    A filter to return only resources that match the specified compartment OCID.
    compartmentIdInSubtree boolean
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    filters GetSubsettingAnalyticsFilter[]
    groupBy string
    Attribute by which the subsetting analytics data should be grouped.
    subsettingPolicyId string
    A filter to return only the resources that match the specified subsetting policy OCID.
    targetDatabaseGroupId string
    A filter to return the target database group that matches the specified OCID.
    targetId string
    A filter to return only items related to a specific target OCID.
    timeCreatedGreaterThanOrEqualTo string

    A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.

    Example: 2016-12-19T16:39:57.600Z

    timeCreatedLessThan string

    Search for resources that were created before a specific date. Specifying this parameter corresponding timeCreatedLessThan parameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.

    Example: 2016-12-19T16:39:57.600Z

    compartment_id str
    A filter to return only resources that match the specified compartment OCID.
    compartment_id_in_subtree bool
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    filters Sequence[GetSubsettingAnalyticsFilter]
    group_by str
    Attribute by which the subsetting analytics data should be grouped.
    subsetting_policy_id str
    A filter to return only the resources that match the specified subsetting policy OCID.
    target_database_group_id str
    A filter to return the target database group that matches the specified OCID.
    target_id str
    A filter to return only items related to a specific target OCID.
    time_created_greater_than_or_equal_to str

    A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.

    Example: 2016-12-19T16:39:57.600Z

    time_created_less_than str

    Search for resources that were created before a specific date. Specifying this parameter corresponding timeCreatedLessThan parameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.

    Example: 2016-12-19T16:39:57.600Z

    compartmentId String
    A filter to return only resources that match the specified compartment OCID.
    compartmentIdInSubtree Boolean
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    filters List<Property Map>
    groupBy String
    Attribute by which the subsetting analytics data should be grouped.
    subsettingPolicyId String
    A filter to return only the resources that match the specified subsetting policy OCID.
    targetDatabaseGroupId String
    A filter to return the target database group that matches the specified OCID.
    targetId String
    A filter to return only items related to a specific target OCID.
    timeCreatedGreaterThanOrEqualTo String

    A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.

    Example: 2016-12-19T16:39:57.600Z

    timeCreatedLessThan String

    Search for resources that were created before a specific date. Specifying this parameter corresponding timeCreatedLessThan parameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.

    Example: 2016-12-19T16:39:57.600Z

    getSubsettingAnalytics Result

    The following output properties are available:

    CompartmentId string
    Id string
    The provider-assigned unique ID for this managed resource.
    SubsettingAnalyticsCollections List<GetSubsettingAnalyticsSubsettingAnalyticsCollection>
    The list of subsetting_analytics_collection.
    CompartmentIdInSubtree bool
    Filters List<GetSubsettingAnalyticsFilter>
    GroupBy string
    SubsettingPolicyId string
    TargetDatabaseGroupId string
    TargetId string
    The OCID of the target database
    TimeCreatedGreaterThanOrEqualTo string
    TimeCreatedLessThan string
    CompartmentId string
    Id string
    The provider-assigned unique ID for this managed resource.
    SubsettingAnalyticsCollections []GetSubsettingAnalyticsSubsettingAnalyticsCollection
    The list of subsetting_analytics_collection.
    CompartmentIdInSubtree bool
    Filters []GetSubsettingAnalyticsFilter
    GroupBy string
    SubsettingPolicyId string
    TargetDatabaseGroupId string
    TargetId string
    The OCID of the target database
    TimeCreatedGreaterThanOrEqualTo string
    TimeCreatedLessThan string
    compartment_id string
    id string
    The provider-assigned unique ID for this managed resource.
    subsetting_analytics_collections list(object)
    The list of subsetting_analytics_collection.
    compartment_id_in_subtree bool
    filters list(object)
    group_by string
    subsetting_policy_id string
    target_database_group_id string
    target_id string
    The OCID of the target database
    time_created_greater_than_or_equal_to string
    time_created_less_than string
    compartmentId String
    id String
    The provider-assigned unique ID for this managed resource.
    subsettingAnalyticsCollections List<GetSubsettingAnalyticsSubsettingAnalyticsCollection>
    The list of subsetting_analytics_collection.
    compartmentIdInSubtree Boolean
    filters List<GetSubsettingAnalyticsFilter>
    groupBy String
    subsettingPolicyId String
    targetDatabaseGroupId String
    targetId String
    The OCID of the target database
    timeCreatedGreaterThanOrEqualTo String
    timeCreatedLessThan String
    compartmentId string
    id string
    The provider-assigned unique ID for this managed resource.
    subsettingAnalyticsCollections GetSubsettingAnalyticsSubsettingAnalyticsCollection[]
    The list of subsetting_analytics_collection.
    compartmentIdInSubtree boolean
    filters GetSubsettingAnalyticsFilter[]
    groupBy string
    subsettingPolicyId string
    targetDatabaseGroupId string
    targetId string
    The OCID of the target database
    timeCreatedGreaterThanOrEqualTo string
    timeCreatedLessThan string
    compartmentId String
    id String
    The provider-assigned unique ID for this managed resource.
    subsettingAnalyticsCollections List<Property Map>
    The list of subsetting_analytics_collection.
    compartmentIdInSubtree Boolean
    filters List<Property Map>
    groupBy String
    subsettingPolicyId String
    targetDatabaseGroupId String
    targetId String
    The OCID of the target database
    timeCreatedGreaterThanOrEqualTo String
    timeCreatedLessThan String

    Supporting Types

    GetSubsettingAnalyticsFilter

    Name string
    Values List<string>
    Regex bool
    Name string
    Values []string
    Regex bool
    name string
    values list(string)
    regex bool
    name String
    values List<String>
    regex Boolean
    name string
    values string[]
    regex boolean
    name str
    values Sequence[str]
    regex bool
    name String
    values List<String>
    regex Boolean

    GetSubsettingAnalyticsSubsettingAnalyticsCollection

    Items List<GetSubsettingAnalyticsSubsettingAnalyticsCollectionItem>
    An array of subsetting analytics summary objects
    Items []GetSubsettingAnalyticsSubsettingAnalyticsCollectionItem
    An array of subsetting analytics summary objects
    items list(object)
    An array of subsetting analytics summary objects
    items List<GetSubsettingAnalyticsSubsettingAnalyticsCollectionItem>
    An array of subsetting analytics summary objects
    items GetSubsettingAnalyticsSubsettingAnalyticsCollectionItem[]
    An array of subsetting analytics summary objects
    items Sequence[GetSubsettingAnalyticsSubsettingAnalyticsCollectionItem]
    An array of subsetting analytics summary objects
    items List<Property Map>
    An array of subsetting analytics summary objects

    GetSubsettingAnalyticsSubsettingAnalyticsCollectionItem

    Dimensions List<GetSubsettingAnalyticsSubsettingAnalyticsCollectionItemDimension>
    The scope of analytics data
    MetricName string
    The name of the aggregation metric
    SubsettingAnalyticCount string
    The total count for the aggregation metric
    TimeLastSubsetted string
    The date and time the target database was last subsetted using a subsetting policy, in the format defined by RFC3339
    Dimensions []GetSubsettingAnalyticsSubsettingAnalyticsCollectionItemDimension
    The scope of analytics data
    MetricName string
    The name of the aggregation metric
    SubsettingAnalyticCount string
    The total count for the aggregation metric
    TimeLastSubsetted string
    The date and time the target database was last subsetted using a subsetting policy, in the format defined by RFC3339
    dimensions list(object)
    The scope of analytics data
    metric_name string
    The name of the aggregation metric
    subsetting_analytic_count string
    The total count for the aggregation metric
    time_last_subsetted string
    The date and time the target database was last subsetted using a subsetting policy, in the format defined by RFC3339
    dimensions List<GetSubsettingAnalyticsSubsettingAnalyticsCollectionItemDimension>
    The scope of analytics data
    metricName String
    The name of the aggregation metric
    subsettingAnalyticCount String
    The total count for the aggregation metric
    timeLastSubsetted String
    The date and time the target database was last subsetted using a subsetting policy, in the format defined by RFC3339
    dimensions GetSubsettingAnalyticsSubsettingAnalyticsCollectionItemDimension[]
    The scope of analytics data
    metricName string
    The name of the aggregation metric
    subsettingAnalyticCount string
    The total count for the aggregation metric
    timeLastSubsetted string
    The date and time the target database was last subsetted using a subsetting policy, in the format defined by RFC3339
    dimensions Sequence[GetSubsettingAnalyticsSubsettingAnalyticsCollectionItemDimension]
    The scope of analytics data
    metric_name str
    The name of the aggregation metric
    subsetting_analytic_count str
    The total count for the aggregation metric
    time_last_subsetted str
    The date and time the target database was last subsetted using a subsetting policy, in the format defined by RFC3339
    dimensions List<Property Map>
    The scope of analytics data
    metricName String
    The name of the aggregation metric
    subsettingAnalyticCount String
    The total count for the aggregation metric
    timeLastSubsetted String
    The date and time the target database was last subsetted using a subsetting policy, in the format defined by RFC3339

    GetSubsettingAnalyticsSubsettingAnalyticsCollectionItemDimension

    PolicyId string
    The OCID of the subsetting policy
    TargetId string
    A filter to return only items related to a specific target OCID.
    PolicyId string
    The OCID of the subsetting policy
    TargetId string
    A filter to return only items related to a specific target OCID.
    policy_id string
    The OCID of the subsetting policy
    target_id string
    A filter to return only items related to a specific target OCID.
    policyId String
    The OCID of the subsetting policy
    targetId String
    A filter to return only items related to a specific target OCID.
    policyId string
    The OCID of the subsetting policy
    targetId string
    A filter to return only items related to a specific target OCID.
    policy_id str
    The OCID of the subsetting policy
    target_id str
    A filter to return only items related to a specific target OCID.
    policyId String
    The OCID of the subsetting policy
    targetId String
    A filter to return only items related to a specific target OCID.

    Package Details

    Repository
    oci pulumi/pulumi-oci
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the oci Terraform Provider.
    oci logo oci logo
    Viewing docs for Oracle Cloud Infrastructure v5.5.0
    published on Thursday, Oct 22, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial